escape_string
| Rivet Tcl Commands and Variables |

## Name

escape_string — convert a string into escaped characters.

## Synopsis

::rivet::escape_string ?string?

## Description

Scans through each character in the specified string looking for special characters, escaping them as needed, mapping special characters to a quoted hexadecimal equivalent, returning the result.

This is useful for quoting strings that are going to be part of a URL.

escape_shell_command |  | exit